<%@ page language="java" import="java.util.*,com.letousky.lottery.action.AuxiliaryData,com.letousky.exception.LotteryException" pageEncoding="UTF-8"%>
<%
	String[] params=new String[1];
	params[0]=request.getParameter("time");
	try{
	List list=new AuxiliaryData().baskedBallBifen(params);
	String[] str=null;
	String d=",";
	Object[] item=list.toArray();
	
	out.print("{\"result\":\"0000\",\"items\":[");
	for(int i=0;i<item.length;i++){
		
		str=(String[])item[i];
		if(i==(item.length-1)){ d=""; }
		
		out.print("{\"bid\":\""+str[0]+"\",\"marketname\":\""+str[1]+"\",\"seriano\":\""+str[2]+"\",\"color\":\""+str[3]+"\",\"guestname\":\""+str[4]+"\",\"hostname\":\""+str[5]+"\",\"startime\":\""+str[6]+"\",\"kebifen\":\""+str[7]+"\",\"zhubifen\":\""+str[8]+"\",\"kejie\":\""+str[9]+"\",\"zhujie\":\""+str[10]+"\",\"sfsp\":\""+str[11]+"\",\"rfsfsp\":\""+str[12]+"\",\"dxfsp\":\""+str[13]+"\",\"issuetime\":\""+str[14]+"\",\"mid\":\""+str[15]+"\",\"status\":\""+str[16]+"\",\"zid\":\""+str[17]+"\",\"nowtext\":\""+str[18]+"\",\"nowtime\":\""+str[19]+"\"}"+d+"");
		
	}
	out.print("]}");
	}catch(LotteryException e){
		out.print("{\"result\":\""+e.getMessage()+"\"}");
	}
%>